Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.xml.security.wsse
Interface WSSEConstants

public interface WSSEConstants

Webservice security constants

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `ATTR_ENCODING` EncodingType
`static java.lang.String` | `ATTR_MUST_UNDERSTAND` mustUnderstand
`static java.lang.String` | `ATTR_ROLE` role
`static java.lang.String` | `ATTR_TYPE` Type
`static java.lang.String` | `ATTR_URI` URI
`static java.lang.String` | `ATTR_VALUETYPE` ValueType
`static java.lang.String` | `DEFAULT_ENCODING` UTF-8
`static java.lang.String` | `DEFAULT_PREFIX` wsse
`static java.lang.String` | `ENCODING_BASE64` http://www.docs.oasis-open.org/wss/2004/01/oasis-200401-wss-soap-message-security-1.0#Base64Binary
`static java.lang.String` | `FAULT_FAILEDAUTHENTICATION` FailedAuthentication
`static java.lang.String` | `FAULT_FAILEDCHECK` FailedCheck
`static java.lang.String` | `FAULT_INVALIDSECURITY` InvalidSecurity
`static java.lang.String` | `FAULT_INVALIDSECURITYTOKEN` InvalidSecurityToken
`static java.lang.String` | `FAULT_SECURITYTOKENUNAVAILBLE` SecurityTokenUnavailable
`static java.lang.String` | `FAULT_UNSUPPORTEDALGORITHM` UnsupportedAlgorithm
`static java.lang.String` | `FAULT_UNSUPPORTEDSECURITYTOKEN` UnsupportedSecurityToken
`static java.lang.String` | `PASSWORDTYPE_PASSWORDDIGEST` http://www.docs.oasis-open.org/wss/2004/01/oasis-200401-wss-username-token-profile-1.0#PasswordDigest
`static java.lang.String` | `PASSWORDTYPE_PASSWORDTEXT` http://www.docs.oasis-open.org/wss/2004/01/oasis-200401-wss-username-token-profile-1.0#PasswordText
`static XMLName` | `QNAME_ATTR_VALUETYPE`
`static XMLName` | `QNAME_FAULT_FAILEDAUTHENTICATION`
`static XMLName` | `QNAME_FAULT_FAILEDCHECK`
`static XMLName` | `QNAME_FAULT_INVALIDSECURITY`
`static XMLName` | `QNAME_FAULT_INVALIDSECURITYTOKEN`
`static XMLName` | `QNAME_FAULT_SECURITYTOKENUNAVAILBLE`
`static XMLName` | `QNAME_FAULT_UNSUPPORTEDALGORITHM`
`static XMLName` | `QNAME_FAULT_UNSUPPORTEDSECURITYTOKEN`
`static java.lang.String` | `TAG_BINARY_SECURITY_TOKEN` BinarySecurityToken
`static java.lang.String` | `TAG_KEY_IDENTIFIER` KeyIdentifier
`static java.lang.String` | `TAG_NONCE` Nonce
`static java.lang.String` | `TAG_PASSWORD` Password
`static java.lang.String` | `TAG_REFERENCE` Reference
`static java.lang.String` | `TAG_SECURITY` Security
`static java.lang.String` | `TAG_SECURITY_TOKEN_REFERENCE` SecurityTokenReference
`static java.lang.String` | `TAG_USERNAME` Username
`static java.lang.String` | `TAG_USERNAME_TOKEN` UsernameToken
`static int` | `TC_BINARY_SECURITY_TOKEN`
`static int` | `TC_KEY_IDENTIFIER`
`static int` | `TC_PASSWORD`
`static int` | `TC_REFERENCE`
`static int` | `TC_SECURITY`
`static int` | `TC_SECURITY_TOKEN_REFERNCE`
`static int` | `TC_USERNAME`
`static int` | `TC_USERNAME_TOKEN`
`static java.lang.String` | `USERNAME_TOKEN_URI` http://www.docs.oasis-open.org/wss/2004/01/oasis-200401-wss-username-token-profile-1.0
`static java.lang.String` | `VALUETYPE_PKCS7` http://www.docs.oasis-open.org/wss/2003/12/oasis-200401-wss-x509-token-profile-1.0#PKCS7
`static java.lang.String` | `VALUETYPE_PKIPATH` http://www.docs.oasis-open.org/wss/2003/12/oasis-200401-wss-x509-token-profile-1.0#X509PKIPathv1
`static java.lang.String` | `VALUETYPE_X509SKID` http://www.docs.oasis-open.org/wss/2003/12/oasis-200401-wss-x509-token-profile-1.0#X509SubjectKeyIdentifier
`static java.lang.String` | `VALUETYPE_X509V3` http://www.docs.oasis-open.org/wss/2003/12/oasis-200401-wss-x509-token-profile-1.0#X509v3
`static java.lang.String` | `WSSE_PREFIX_URI` http://www.docs.oasis-open.org/wss/2004/01/oasis-200401-wss-soap-message-security-1.0
`static java.lang.String` | `WSSE_URI` http://www.docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd
`static java.lang.String` | `X509_URI` http://www.docs.oasis-open.org/wss/2003/12/oasis-200401-wss-x509-token-profile-1.0

Field Detail

### WSSE_URI

    public static final java.lang.String WSSE_URI

  http://www.docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd

### USERNAME_TOKEN_URI

    public static final java.lang.String USERNAME_TOKEN_URI

  http://www.docs.oasis-open.org/wss/2004/01/oasis-200401-wss-username-token-profile-1.0

### X509_URI

    public static final java.lang.String X509_URI

  http://www.docs.oasis-open.org/wss/2003/12/oasis-200401-wss-x509-token-profile-1.0

### WSSE_PREFIX_URI

    public static final java.lang.String WSSE_PREFIX_URI

  http://www.docs.oasis-open.org/wss/2004/01/oasis-200401-wss-soap-message-security-1.0

### DEFAULT_PREFIX

    public static final java.lang.String DEFAULT_PREFIX

  wsse

### DEFAULT_ENCODING

    public static final java.lang.String DEFAULT_ENCODING

  UTF-8

### ATTR_VALUETYPE

    public static final java.lang.String ATTR_VALUETYPE

  ValueType

### ATTR_ENCODING

    public static final java.lang.String ATTR_ENCODING

  EncodingType

### ATTR_TYPE

    public static final java.lang.String ATTR_TYPE

  Type

### ATTR_URI

    public static final java.lang.String ATTR_URI

  URI

### QNAME_ATTR_VALUETYPE

    public static final XMLName QNAME_ATTR_VALUETYPE

### ATTR_ROLE

    public static final java.lang.String ATTR_ROLE

  role

### ATTR_MUST_UNDERSTAND

    public static final java.lang.String ATTR_MUST_UNDERSTAND

  mustUnderstand

### FAULT_UNSUPPORTEDSECURITYTOKEN

    public static final java.lang.String FAULT_UNSUPPORTEDSECURITYTOKEN

  UnsupportedSecurityToken

### FAULT_UNSUPPORTEDALGORITHM

    public static final java.lang.String FAULT_UNSUPPORTEDALGORITHM

  UnsupportedAlgorithm

### FAULT_INVALIDSECURITY

    public static final java.lang.String FAULT_INVALIDSECURITY

  InvalidSecurity

### FAULT_INVALIDSECURITYTOKEN

    public static final java.lang.String FAULT_INVALIDSECURITYTOKEN

  InvalidSecurityToken

### FAULT_FAILEDAUTHENTICATION

    public static final java.lang.String FAULT_FAILEDAUTHENTICATION

  FailedAuthentication

### FAULT_FAILEDCHECK

    public static final java.lang.String FAULT_FAILEDCHECK

  FailedCheck

### FAULT_SECURITYTOKENUNAVAILBLE

    public static final java.lang.String FAULT_SECURITYTOKENUNAVAILBLE

  SecurityTokenUnavailable

### QNAME_FAULT_UNSUPPORTEDSECURITYTOKEN

    public static final XMLName QNAME_FAULT_UNSUPPORTEDSECURITYTOKEN

### QNAME_FAULT_UNSUPPORTEDALGORITHM

    public static final XMLName QNAME_FAULT_UNSUPPORTEDALGORITHM

### QNAME_FAULT_INVALIDSECURITY

    public static final XMLName QNAME_FAULT_INVALIDSECURITY

### QNAME_FAULT_INVALIDSECURITYTOKEN

    public static final XMLName QNAME_FAULT_INVALIDSECURITYTOKEN

### QNAME_FAULT_FAILEDAUTHENTICATION

    public static final XMLName QNAME_FAULT_FAILEDAUTHENTICATION

### QNAME_FAULT_FAILEDCHECK

    public static final XMLName QNAME_FAULT_FAILEDCHECK

### QNAME_FAULT_SECURITYTOKENUNAVAILBLE

    public static final XMLName QNAME_FAULT_SECURITYTOKENUNAVAILBLE

### VALUETYPE_X509SKID

    public static final java.lang.String VALUETYPE_X509SKID

  http://www.docs.oasis-open.org/wss/2003/12/oasis-200401-wss-x509-token-profile-1.0#X509SubjectKeyIdentifier

### VALUETYPE_X509V3

    public static final java.lang.String VALUETYPE_X509V3

  http://www.docs.oasis-open.org/wss/2003/12/oasis-200401-wss-x509-token-profile-1.0#X509v3

### VALUETYPE_PKCS7

    public static final java.lang.String VALUETYPE_PKCS7

  http://www.docs.oasis-open.org/wss/2003/12/oasis-200401-wss-x509-token-profile-1.0#PKCS7

### VALUETYPE_PKIPATH

    public static final java.lang.String VALUETYPE_PKIPATH

  http://www.docs.oasis-open.org/wss/2003/12/oasis-200401-wss-x509-token-profile-1.0#X509PKIPathv1

### ENCODING_BASE64

    public static final java.lang.String ENCODING_BASE64

  http://www.docs.oasis-open.org/wss/2004/01/oasis-200401-wss-soap-message-security-1.0#Base64Binary

### PASSWORDTYPE_PASSWORDTEXT

    public static final java.lang.String PASSWORDTYPE_PASSWORDTEXT

  http://www.docs.oasis-open.org/wss/2004/01/oasis-200401-wss-username-token-profile-1.0#PasswordText

### PASSWORDTYPE_PASSWORDDIGEST

    public static final java.lang.String PASSWORDTYPE_PASSWORDDIGEST

  http://www.docs.oasis-open.org/wss/2004/01/oasis-200401-wss-username-token-profile-1.0#PasswordDigest

### TAG_BINARY_SECURITY_TOKEN

    public static final java.lang.String TAG_BINARY_SECURITY_TOKEN

  BinarySecurityToken

### TAG_KEY_IDENTIFIER

    public static final java.lang.String TAG_KEY_IDENTIFIER

  KeyIdentifier

### TAG_PASSWORD

    public static final java.lang.String TAG_PASSWORD

  Password

### TAG_REFERENCE

    public static final java.lang.String TAG_REFERENCE

  Reference

### TAG_SECURITY

    public static final java.lang.String TAG_SECURITY

  Security

### TAG_SECURITY_TOKEN_REFERENCE

    public static final java.lang.String TAG_SECURITY_TOKEN_REFERENCE

  SecurityTokenReference

### TAG_USERNAME

    public static final java.lang.String TAG_USERNAME

  Username

### TAG_USERNAME_TOKEN

    public static final java.lang.String TAG_USERNAME_TOKEN

  UsernameToken

### TAG_NONCE

    public static final java.lang.String TAG_NONCE

  Nonce

### TC_BINARY_SECURITY_TOKEN

    public static final int TC_BINARY_SECURITY_TOKEN

### TC_KEY_IDENTIFIER

    public static final int TC_KEY_IDENTIFIER

### TC_PASSWORD

    public static final int TC_PASSWORD

### TC_REFERENCE

    public static final int TC_REFERENCE

### TC_SECURITY

    public static final int TC_SECURITY

### TC_SECURITY_TOKEN_REFERNCE

    public static final int TC_SECURITY_TOKEN_REFERNCE

### TC_USERNAME

    public static final int TC_USERNAME

### TC_USERNAME_TOKEN

    public static final int TC_USERNAME_TOKEN

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD